# Constant Field Values

## Contents

- org.springframework.*

## org.springframework.*

org.springframework.expression.spel.SpelParserConfiguration
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_EXPRESSION_LENGTH`
`10000`
`public static final int`
`DEFAULT_MAX_OPERATIONS`
`10000`
`public static final String`
`SPRING_EXPRESSION_COMPILER_MODE_PROPERTY_NAME`
`"spring.expression.compiler.mode"`
`public static final String`
`SPRING_EXPRESSION_MAX_OPERATIONS_PROPERTY_NAME`
`"spring.expression.maxOperations"`

org.springframework.expression.spel.ast.OperatorMatches
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_PATTERN_CACHE_SIZE`
`256`
org.springframework.expression.spel.ast.Selection
Modifier and Type
Constant Field
Value
`public static final int`
`ALL`
`0`
`public static final int`
`FIRST`
`1`
`public static final int`
`LAST`
`2`